org.apache.tinkerpop.gremlin.structure.util.empty

## Class EmptyGraph.EmptyGraphFeatures.EmptyGraphGraphFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.empty.EmptyGraph.EmptyGraphFeatures.EmptyGraphGraphFeatures

- All Implemented Interfaces:
    Graph.Features.FeatureSet, Graph.Features.GraphFeatures
  Enclosing class:
    EmptyGraph.EmptyGraphFeatures

      public final class EmptyGraph.EmptyGraphFeatures.EmptyGraphGraphFeatures
      extends Object
      implements Graph.Features.GraphFeatures

  Graph features defined such that they support immutability but allow all other possibilities.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.GraphFeatures

      `FEATURE_COMPUTER, FEATURE_CONCURRENT_ACCESS, FEATURE_IO_READ, FEATURE_IO_WRITE, FEATURE_PERSISTENCE, FEATURE_THREADED_TRANSACTIONS, FEATURE_TRANSACTIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyGraphGraphFeatures()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supportsComputer()` Determines if the `Graph` implementation supports `GraphComputer` based processing.
    `boolean` | `supportsPersistence()` Determines if the `Graph` implementation supports persisting it's contents natively to disk.
    `boolean` | `supportsThreadedTransactions()` Determines if the `Graph` implementation supports threaded transactions which allow a transaction to be executed across multiple threads via `Transaction.createThreadedTx()`.
    `boolean` | `supportsTransactions()` Determines if the `Graph` implementations supports transactions.
    `Graph.Features.VariableFeatures` | `variables()` Gets the features related to "graph sideEffects" operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.GraphFeatures

      `supportsConcurrentAccess, supportsIoRead, supportsIoWrite`

- - ### Constructor Detail

    - #### EmptyGraphGraphFeatures

          public EmptyGraphGraphFeatures()

  - ### Method Detail

    - #### supportsPersistence

          public boolean supportsPersistence()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Determines if the `Graph` implementation supports persisting it's contents natively to disk. This feature does not refer to every graph's ability to write to disk via the Gremlin IO packages (.e.g. GraphML), unless the graph natively persists to disk via those options somehow. For example, TinkerGraph does not support this feature as it is a pure in-sideEffects graph.
      Specified by:
        `supportsPersistence` in interface `Graph.Features.GraphFeatures`

    - #### supportsTransactions

          public boolean supportsTransactions()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Determines if the `Graph` implementations supports transactions.
      Specified by:
        `supportsTransactions` in interface `Graph.Features.GraphFeatures`

    - #### supportsThreadedTransactions

          public boolean supportsThreadedTransactions()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Determines if the `Graph` implementation supports threaded transactions which allow a transaction to be executed across multiple threads via `Transaction.createThreadedTx()`.
      Specified by:
        `supportsThreadedTransactions` in interface `Graph.Features.GraphFeatures`

    - #### variables

          public Graph.Features.VariableFeatures variables()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Gets the features related to "graph sideEffects" operation.
      Specified by:
        `variables` in interface `Graph.Features.GraphFeatures`

    - #### supportsComputer

          public boolean supportsComputer()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Determines if the `Graph` implementation supports `GraphComputer` based processing.
      Specified by:
        `supportsComputer` in interface `Graph.Features.GraphFeatures`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.